curl --request GET \
--url https://api.engini.io/v1/applications/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engini.io/v1/applications/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/applications/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"description": "<string>",
"connectionRequirement": "<string>",
"categories": [
"<string>"
],
"toolsCount": 123,
"triggersCount": 123,
"applicationName": "<string>",
"applicationLogo": "<string>",
"supportsObjectSelection": true,
"helpUrl": "<string>",
"authenticationMethods": [
{
"authenticationId": 123,
"authenticationType": "<string>",
"authenticationName": "<string>",
"connectionFields": [
{
"fieldName": "<string>",
"isRequired": true,
"isRequiredOnSignin": true,
"isHidden": true,
"isPassword": true,
"allowOverride": true,
"fieldDescription": "<string>",
"defaultValue": "<string>",
"tooltip": "<string>",
"placeholder": "<string>",
"listValues": "<string>"
}
],
"requiresOAuthSignIn": true,
"description": "<string>",
"oAuthProvider": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Get application
Get the full details of a single application identified by its slug.
Authorizations
Enter your JWT token
Path Parameters
The slug identifying the application to retrieve.
Response
The detailed representation of the application.
Detail view returned by GET /api/DeveloperAPI/v1/applications/{slug}. Extends ApplicationDTO with auth method details.
Stable public slug identifying the application.
Description of what the application does.
Whether and how a connection is required to use this application.
Categories the application belongs to.
Number of tools (activities) the application exposes.
Number of triggers the application exposes.
Human-readable display name of the application.
URL of the application's logo image.
Whether the application supports selecting specific objects for a connection.
URL of help/documentation for the application.
Authentication methods supported by the application.
Show child attributes
Show child attributes